Wrong validation when creating image base host on ovirt

03/06/2018 11:44 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Compute resources - oVirt   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5304

  

Description

When trying to provisioning host from compute resource image after getting a validation requesting to add IP address, and adding

the IP address, submitting returns a validation about missing mac address.

Steps to reproduce:

1. Create ovirt compute resource and add an image to it

2. Create a host and select the image in operating system tab

3. Fill in everything including domain and subnet in Interface but son't add an ip

4. Save and get the missing IP validation error

5.Fill in an IP address and try to save again

There will now be a message that mac address is missing even though it's still marked as deployed on ovirt and not bare metal.

Related issues:

Related to Foreman - Bug #22809: [Foreman 1.17] Bug on host creation after mi... Closed 03/07/2018

Associated revisions

Revision 701eee20 - 03/20/2018 10:08 AM - Ori Rabin

Fixes #22788 - host compute attributes reload after error

History

#1 - 03/07/2018 12:41 PM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

- Target version set to 252

#2 - 03/08/2018 10:41 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5304 added

#3 - 03/20/2018 10:08 AM - Tomer Brisker

- translation missing: en.field_release set to 330

#4 - 03/20/2018 11:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 701eee201b396f059ecbee4a29b5aa4fcdbd3051.

#5 - 04/04/2018 12:18 PM - Ondřej Pražák
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/701eee201b396f059ecbee4a29b5aa4fcdbd3051


- Related to Bug #22809: [Foreman 1.17] Bug on host creation after migration added
